Page MenuHomePhabricator

Upgrade firmware on db1078
Closed, ResolvedPublic

Description

Hello,

db1078 crashed (T209754) and even though we could not find evidences on why the host crashed, this host also crashed a year and a half ago due to storage (T173365).
We have recloned it, but I would like its firmware, bios etc to be upgraded to the latest version.

Please ping us before doing so as we'd need to depool the host.

Thanks

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptNov 19 2018, 9:34 AM
Marostegui triaged this task as Normal priority.Nov 19 2018, 9:34 AM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.

Chris, can we do this today as this host will be the future s3 primary master?

Change 484663 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/484663

Change 484663 abandoned by Marostegui:
db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/484663

Change 484666 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/484666

Change 484666 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/484666

Mentioned in SAL (#wikimedia-operations) [2019-01-16T13:15:00Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1078 T209815 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-16T13:15:08Z] <marostegui> Stop MySQL on db1078 and power it off for firmware update - T209815

I ran the Service Pack on db1078, all firmware is up to date including BIOS and raid controller. The server is currently powered off

Mentioned in SAL (#wikimedia-operations) [2019-01-16T15:35:54Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1078 T209815 (duration: 00m 52s)

Marostegui closed this task as Resolved.Jan 16 2019, 3:37 PM

Thank you so much! The server is back in the mix.